Bug 192615 - description for verify property "security context" missing in manual
description for verify property "security context" missing in manual
Status: CLOSED DUPLICATE of bug 120464
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 17:42 EDT by Christian Krause
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 08:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Krause 2006-05-21 17:42:28 EDT
rpm -V <package> verifies certain properties of the files of a package: size,
MD5 sum, permissions, ownership, ...

recently a check for the security context was added: 

rpm -V glibc:
Package glibc-2.4-8:
........C   /usr/lib/gconv/gconv-modules.cache

Unfortunately the "C" isn't described in "man rpm". 

rpm version 2.4.2, release 15.2


This is only a documentation problem and can be fixed easily - e.g.:

diff -uNr rpm-4.4.2.old/doc/rpm.8 rpm-4.4.2/doc/rpm.8
--- rpm-4.4.2.old/doc/rpm.8     2003-12-30 08:14:50.000000000 -0500
+++ rpm-4.4.2/doc/rpm.8 2006-05-21 17:44:41.000000000 -0400
@@ -726,6 +726,7 @@
 \fBU\fR \fBU\fRser ownership differs
 \fBG\fR \fBG\fRroup ownership differs
 \fBT\fR m\fBT\fRime differs
+\fBC\fR security \fBC\fRontext differs
 .fi
 
 .SS "DIGITAL SIGNATURE AND DIGEST VERIFICATION"
Comment 1 Jeff Johnson 2006-05-29 08:33:28 EDT

*** This bug has been marked as a duplicate of 120464 ***

Note You need to log in before you can comment on or make changes to this bug.